You can run the vCenter Server Appliance GUI or CLI installer from a network client machine that is running on a Windows, Linux, or Mac operating system of a supported version.

To ensure optimal performance of the GUI and CLI installers, use a client machine that meets the minimum hardware requirements.

Table 1. System Requirements for the GUI and CLI Installers

Operating System

Supported Versions

Minimum Hardware Configuration for Optimal Performance

Windows

  • Windows 7, 8, 8.1, 10

  • Windows 2012 x64 bit

  • Windows 2012 R2 x64 bit

  • Windows 2016 x64 bit

4 GB RAM, 2 CPU having 4 cores with 2.3 GHz, 32 GB hard disk, 1 NIC

Linux

  • SUSE 12

  • Ubuntu 14.04

4 GB RAM, 1 CPU having 2 cores with 2.3 GHz, 16 GB hard disk, 1 NIC

Note:

The CLI installer requires 64-bit OS.

Mac

  • macOS v10.9, 10,10, 10.11

  • macOS Sierra

8 GB RAM, 1 CPU having 4 cores with 2.4 GHz, 150 GB hard disk, 1 NIC

Note:

For client machines that run on Mac 10.11, concurrent GUI deployments of multiple appliances are unsupported. You must deploy the appliances in a sequence.